Google Maps API

Plugin pour l’intégration de Google Maps API dans SPIP

Installation et paramétrage

Ce plugin est développé pour une compatibilité avec SPIP 1.9.2 minimum avec le plugin CFG 1.10.5 mini installé.

GoogleMap Api (0.2.0)

Installation et activation comme tous les plugins.

Vous devez configurer ce plugin pour qu’il puisse fonctionner. Pour cela rendez-vous sur la page CFG de configuration du plugin à l’adresse ecrire/?exec=cfg&cfg=geomap.

Page de configuration CFG de GoogleMap API
Page de configuration CFG de GoogleMap API

A ce stade, il faut obtenir une clé Google maps pour pouvoir implémenter leur API sur la page web. Pour cela, cliquez sur le lien “Obtenir”une clé ou suivez ce lien http://www.google.es/apis/maps/signup.html

Une fois sur la page de Google, il faut accepter les termes du contrat en cochant la case correspondante et indiquer l’adresse url du site sur lequel sera intégrée l’API de Google maps, par exemple: www.escoitar.org. Ensuite on peut générer une clé : google maps API key.

Obtenir l'API
Obtenir l’API

Il faut ensuite sélectionner et copier la clé :

Copier la clé
Copier la clé

Après cela, il est nécessaire de revenir sur la page de configuration du plugin et de coller la clé dans le champ prévu à cet effet. Validez en cliquant sur le bouton ok.

Reporter la clé
Reporter la clé

Ensuite vous devez configurer la position et le zoom par défauts des cartes et cliquer sur le bouton Choisir.

Usages du plugin

Ce plugin peut être utilisé avec le plugin GIS pour afficher des cartes dans l’espace public.

D’autres usages sont possibles et seront répertoriés ici.

-  Geoforms : le sous plugin de Forms & Tables pour l’utilisation de données géographiques dans Forms & Tables
-  La création personnalisées de cartes en se basant sur l’API de Google et l’utilisation des valeurs par #CONFIG si l’on est dans un squelette spip ou par lire_config() si nous sommes en php.

Auteurs du plugin:

-  Horacio González
-  Berio Molina

Portfolio

updated on 2 October 2019

Discussion

58 discussions

  • miguelperezsubias

    Bonjour,
    On travaille depuis longtemp avec success mais on a eu un problemme quand on utilise articles avec langue Catala. A ce moment on arrive pas a avoir aucune article sur la carte.
    Si on change la lange de cet article tout marche. Si on change au catalan ninporte quel article linfo disparait du map. ¿aucune idée?
    Merci,

    Hola,
    Hemos utilizado este plugin sin problemas hasta que alguien creo un article y le puso como lengua el Català, en ese momento no aparecen los elementos en el mapa. Hemos probado con otros idiomas y no pasa, solo con el catalan. Si cambio un solo articulo a esta lengua desaparecen todos del mapa. ¿alguna idea de porqué pasa esto?

    Miguel Pérez Subías
    www.diadeinternet.org

    Reply to this message

  • Bonjour,
    Où peut-on trouver le plugin “Geoforms” ?
    Quelles sont les fonctionnalités possibles avec ce plugin Google Maps API ?
    Merci pour votre réponse.

    Reply to this message

  • 1

    alors le numéro de revision de google map
    Version : 0.2 [27036]

    maintenant ça remarche

    je vois bien ma carte dans l’espace privée mais sur le site rien ne s’affiche

    voici l’appel de ma carte

    [(#MODELE{carte_gis}{id_article}{id_rubrique=2}{id_mot}{id_auteur}
    {recherche}{latit}{lonxit}{zoom=17}{type=carte}{control=small})]

    de plus il va m’être difficile de te donner une URL car c’est un site en dev... :(

    • Bonjour,

      de plus il va m’être difficile de te donner une URL car c’est un site en dev... :(

      Il n’y a pas à avoir honte de montrer un site de dev. Je ne vois pas qu’est-ce qui pourrait t’en empêcher... De plus il va m’être difficile de t’aider sans avoir la page en question sous les yeux. Le code source ne me suffira pas pour trouver les éventuelles erreurs JS.

      ++

    Reply to this message

  • 1

    j’utilise spip 2.0.4
    googlemap api 0.2 en developpement
    et gis 0.2 [27147] en developpement

    • Bonjour,

      Gis est bien à jour par contre je n’ai pas le n° de révision de ton Google Maps API (rev 27036 pour être à jour).

      Quelle est l’adresse de ton site ? J’espère que tu ne travaille pas en local car le plugin googlemaps api ne fonctionne pas sur une adresse de type localhost...

      ++

    Reply to this message

  • ah ba maintenant il marche plus
    j’ai juste un encadré bleu et pas de plan.... :(

    Reply to this message

  • 1

    bonjour à tous

    ’jai un problème avec ma clé
    cela me dit :
    “la clé google maps API utilisée sur ce site web a été enregistrée pour un autre site”

    je pige pas trop là
    j’ai redemandé une autre clé et c’est toujours le meme problème

    mon code pour l’affichage
    [(#MODELEcarte_gisid_articleid_rubrique=2id_motid_auteur
    recherchelatitlonxitzoom=12)]

    merci beaucoup pour votre aide

    • Cela ne va pas être facile de t’aider sans plus d’information...

      Quelle est l’adresse du site ?

      Le plugin est-il bien à jour ?

      ++

    Reply to this message

  • 5
    François

    Bonjour,

    j’ai mis à jour les plugins et tout est à peu près rentré dans l’ordre. A peu près car IE7 refuse d’afficher les pages sur le front office (elle reste désespérement grise).

    J’ai constaté en suivant le forum qu’il fallait cocher la case “Stable Version” dans la gestion de l’API. Or qaund je clique sur cette case il se met automatiquement sur “Other Verison”. Je voulais savoir si c’était un comportmeent normal ou un bug. Seul la case à cocher “Current version” semble avoir un comportement normal.

    Merci de me dire si ce comportement est normal :)

    • Bonjour,

      Or qaund je clique sur cette case il se met automatiquement sur “Other Verison”.

      Le problème que tu décris ne se produit pas chez moi et le code du plugin ne semble pas pouvoir générer ce comportement :

      http://trac.rezo.net/trac/spip-zone/browser/_plugins_/_dev_/googlemap_api/fonds/cfg_geomap.html#L117

      Es-tu certain d’avoir bien téléchargé la dernière version du plugin ? Tente encore une mise à jour cela ne peut pas faire de mal ;)

      ps : quelle version de SPIP utilises-tu ?

      Bon courage ++

    • Bonjour,

      même problème que celui décrit par François avec dernière version du plugin:

      <revision>26681</revision>
      <commit>2009-02-16 16:28:17 +0100 (Mon, 16 Feb 2009)</commit>
      
       gis: <revision>26704</revision>
      <commit>2009-02-17 15:21:28 +0100 (Tue, 17 Feb 2009)</commit>
      
      spip: SPIP 2.0.3 [13596] 
    • Après avoir installé la toute dernière version du plugin, je n’ai vu aucun changement: pas d’affichage dans IE7, impossible de sélectionner définitivement “version stable”, j’ai donc choisi “version autre” avec la version 2.S. Quand j’ai voulu ouvrir dans l’espace privé, la rubrique, les articles cartes puis la config cfg du plugin, s’est ouvert un message pop_up d’erreur disant que “IE ne peut ouvrir cette page” . Le problème ne se produisant pas sous firefox, je suis revenu à “version stable” puis j’ai fini sans trop savoir comment à parvenir à afficher une carte sous IE7, après différents tests il me semble que les cartes ne s’affichent pas si les zones latitude et longitude ne contiennent pas un chiffre décimal dont le séparateur est un point.
      Par exemple problème avec 0 et 0,0 mais affichage avec 0.0

      http://afatcg.free.fr/spip/spip.php?article114

      Ensuite j’ai eu d’autres problèmes postés côté GIS

    • Après installation de SPIP 2.0.5 et dernière version de SARKA-SPIP, IE7 et firefox ne fonctionnent plus, pour IE6 c’est bon.

      dans firefox erreurs:

      GControl is not defined

      GBrowserIsCompatible is not defined

      si je désactive les contrôles personnalisés, cela remarche pour IE7 et firefox mais plus pour IE6

    • impossible de sélectionner définitivement “version stable”

      En fait la version stable était bien sélectionnée mais la page de config n’affichait pas la bonne information, c’est corrigé :

      http://trac.rezo.net/trac/spip-zone/changeset/26981/_plugins_/_dev_/googlemap_api/fonds

      ++

    Reply to this message

  • 1

    Bonjour,
    Suite à la disparition de mes marqueurs sur mes cartes publiques, j’ai mis à jour les 2 plugins Google Map API et GIS sur une version spip 1.9.2e, mais depuis j’ai un message d’erreur :
    “Fatal error: Call to undefined function: bouton_block_depliable() in parte_privada.php on line 68” à la fin de mes rubriques/articles où le plugin GIS devrait apparaitre dans la partie privée...
    De plus, dans la partie publique j’ai un message du type : “...mabase.spip_gis doesn’t exist ...” lorsque je charge une page qui fait appel au plugin.
    Quelqu’un aurait une idée ?
    Merci.

    • Bonjour,

      Fatal error : Call to undefined function : bouton_block_depliable() in parte_privada.php on line 68

      J’ai corrigé ce bug dans l’après midi, une mise à jour du plugin devrait régler ton problème.

      ++

    Reply to this message

  • col_klink

    Bonjour,
    j’ai installé les derniers plugins....
    (avec spip 2) Impossible d’afficher les cartes sous IE (Erreur : objet attendu).

    sous firefox : aucun soucis !

    pour voir l’erreur : (IE) http://saintcast.grognards-dbdm.fr/

    comment faire fonctionner GIS sous IE malgré cette erreur ?

    merci à vous.

    Reply to this message

  • en fait sous IE7 j’ai ces deux messages d’erreurs des qu’une carte doit apparaitre sur la page (public, privé, cfg)

    Line: 30
    Character: 1
    Code: 0
    Error Message: ’GControl’ est indéfini.

    puis

    Line: 231
    Character: 3
    Code: 0
    Error Message: Objet attendu

    sous Firefox et googlechrome aucun probleme..

    Reply to this message

Comment on this article

Who are you?
  • [Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document

Follow the comments: RSS 2.0 | Atom